Index: c/src/lib/libbsp/i386/pc386/console/fb_vesa_rm.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/console/fb_vesa_rm.c	(revision adc1dbeb39a37c95d93b728fcb038da96957dab8)
+++ c/src/lib/libbsp/i386/pc386/console/fb_vesa_rm.c	(revision d78eac64a8ac5d5eabbde4a9f1647850113dfc6c)
@@ -60,12 +60,12 @@
 static struct fb_fix_screeninfo fb_fix;
 
-static uint16_t vbe_usedMode;
-
-inline uint32_t VBEControllerInformation(   struct VBE_VbeInfoBlock *infoBlock,
-                                            uint16_t queriedVBEVersion)
+static uint16_t vbe_used_mode;
+
+uint32_t VBE_controller_information( VBE_vbe_info_block *info_block,
+                                            uint16_t queried_VBE_Version)
 {
     uint16_t size;
-    struct VBE_VbeInfoBlock *VBE_buffer =
-        (struct VBE_VbeInfoBlock *)i386_get_default_rm_buffer(&size);
+    VBE_vbe_info_block *VBE_buffer =
+        (VBE_vbe_info_block *)i386_get_default_rm_buffer(&size);
     i386_realmode_interrupt_registers parret;
     parret.reg_eax = VBE_RetVBEConInf;
@@ -75,5 +75,5 @@
     parret.reg_es = seg;
     /* indicate to graphic's bios that VBE2.0 extended information is desired */
-    if (queriedVBEVersion >= 0x200)
+    if (queried_VBE_Version >= 0x200)
     {
         strncpy(
@@ -88,18 +88,18 @@
         (VBE_callSuccessful<<8 | VBE_functionSupported))
     {
-        *infoBlock = *VBE_buffer;
+        *info_block = *VBE_buffer;
     }
     return (parret.reg_eax & 0xFFFF);
 }
 
-inline uint32_t VBEModeInformation( struct VBE_ModeInfoBlock *infoBlock,
-                                    uint16_t modeNumber)
+uint32_t VBE_mode_information( VBE_mode_info_block *info_block,
+                                    uint16_t mode_number)
 {
     uint16_t size;
-    struct VBE_ModeInfoBlock *VBE_buffer =
-        (struct VBE_ModeInfoBlock *)i386_get_default_rm_buffer(&size);
+    VBE_mode_info_block *VBE_buffer =
+        (VBE_mode_info_block *)i386_get_default_rm_buffer(&size);
     i386_realmode_interrupt_registers parret;
     parret.reg_eax = VBE_RetVBEModInf;
-    parret.reg_ecx = modeNumber;
+    parret.reg_ecx = mode_number;
     uint16_t seg, off;
     i386_Physical_to_real(VBE_buffer, &seg, &off);
@@ -111,20 +111,20 @@
         (VBE_callSuccessful<<8 | VBE_functionSupported))
     {
-        *infoBlock = *VBE_buffer;
+        *info_block = *VBE_buffer;
     }
     return (parret.reg_eax & 0xFFFF);
 }
 
-inline uint32_t VBESetMode( uint16_t modeNumber,
-                            struct VBE_CRTCInfoBlock *infoBlock)
+uint32_t VBE_set_mode( uint16_t mode_number,
+                            VBE_CRTC_info_block *info_block)
 {
     uint16_t size;
-    struct VBE_CRTCInfoBlock *VBE_buffer =
-        (struct VBE_CRTCInfoBlock *)i386_get_default_rm_buffer(&size);
+    VBE_CRTC_info_block *VBE_buffer =
+        (VBE_CRTC_info_block *)i386_get_default_rm_buffer(&size);
     i386_realmode_interrupt_registers parret;
     /* copy CRTC */
-    *VBE_buffer = *infoBlock;
+    *VBE_buffer = *info_block;
     parret.reg_eax = VBE_SetVBEMod;
-    parret.reg_ebx = modeNumber;
+    parret.reg_ebx = mode_number;
     uint16_t seg, off;
     i386_Physical_to_real(VBE_buffer, &seg, &off);
@@ -136,5 +136,5 @@
 }
 
-inline uint32_t VBECurrentMode(uint16_t *modeNumber)
+uint32_t VBE_current_mode(uint16_t *mode_number)
 {
     i386_realmode_interrupt_registers parret;
@@ -142,36 +142,36 @@
     if (i386_real_interrupt_call(INTERRUPT_NO_VIDEO_SERVICES, &parret) == 0)
         return -1;
-    *modeNumber = (uint16_t)parret.reg_ebx;
+    *mode_number = (uint16_t)parret.reg_ebx;
     return (parret.reg_eax & 0xFFFF);
 }
 
-inline uint32_t VBEReportDDCCapabilities(   uint16_t controllerUnitNumber,
-                                            uint8_t *secondsToTransferEDIDBlock,
-                                            uint8_t *DDCLevelSupported)
+uint32_t VBE_report_DDC_capabilities(uint16_t controller_unit_number,
+                                        uint8_t *seconds_to_transfer_EDID_block,
+                                        uint8_t *DDC_level_supported)
 {
     i386_realmode_interrupt_registers parret;
     parret.reg_eax = VBE_DisDatCha;
     parret.reg_ebx = VBEDDC_Capabilities;
-    parret.reg_ecx = controllerUnitNumber;
+    parret.reg_ecx = controller_unit_number;
     parret.reg_edi = 0;
     parret.reg_es = 0;
     if (i386_real_interrupt_call(INTERRUPT_NO_VIDEO_SERVICES, &parret) == 0)
         return -1;
-    *secondsToTransferEDIDBlock = (uint8_t)parret.reg_ebx >> 8;
-    *DDCLevelSupported = (uint8_t)parret.reg_ebx;
+    *seconds_to_transfer_EDID_block = (uint8_t)parret.reg_ebx >> 8;
+    *DDC_level_supported = (uint8_t)parret.reg_ebx;
     return (parret.reg_eax & 0xFFFF);
 }
 
-inline uint32_t VBEReadEDID(uint16_t controllerUnitNumber,
-                            uint16_t EDIDBlockNumber,
-                            struct edid1 *buffer)
+uint32_t VBE_read_EDID(uint16_t controller_unit_number,
+                            uint16_t EDID_block_number,
+                            EDID_edid1 *buffer)
 {
     uint16_t size;
-    struct edid1 *VBE_buffer = (struct edid1 *)i386_get_default_rm_buffer(&size);
+    EDID_edid1 *VBE_buffer = (EDID_edid1*)i386_get_default_rm_buffer(&size);
     i386_realmode_interrupt_registers parret;
     parret.reg_eax = VBE_DisDatCha;
     parret.reg_ebx = VBEDDC_ReadEDID;
-    parret.reg_ecx = controllerUnitNumber;
-    parret.reg_edx = EDIDBlockNumber;
+    parret.reg_ecx = controller_unit_number;
+    parret.reg_edx = EDID_block_number;
     uint16_t seg, off;
     i386_Physical_to_real(VBE_buffer, &seg, &off);
@@ -189,9 +189,9 @@
 
 typedef struct {
-    uint16_t modeNumber;
+    uint16_t mode_number;
     uint16_t resX;
     uint16_t resY;
     uint8_t bpp;
-} modeParams;
+} Mode_params;
 
 /* finds mode in 'modeList' of 'listLength' length according to resolution
@@ -201,20 +201,20 @@
     'searchedResolution'. bpp is also filled into 'searchedResolution' if it
     was 0 before call. */
-static uint16_t findModeByResolution(   modeParams *modeList,
-                                        uint8_t listLength,
-                                        modeParams *searchedResolution)
+static uint16_t find_mode_by_resolution(Mode_params *mode_list,
+                                        uint8_t list_length,
+                                        Mode_params *searched_resolution)
 {
     uint8_t i = 0;
-    while (i < listLength)
-    {
-        if (searchedResolution->resX == modeList[i].resX &&
-            searchedResolution->resY == modeList[i].resY)
-        {
-            if (searchedResolution->bpp==0 ||
-                searchedResolution->bpp==modeList[i].bpp)
+    while (i < list_length)
+    {
+        if (searched_resolution->resX == mode_list[i].resX &&
+            searched_resolution->resY == mode_list[i].resY)
+        {
+            if (searched_resolution->bpp==0 ||
+                searched_resolution->bpp==mode_list[i].bpp)
             {
-                searchedResolution->bpp = modeList[i].bpp;
-                searchedResolution->modeNumber = modeList[i].modeNumber;
-                return modeList[i].modeNumber;
+                searched_resolution->bpp = mode_list[i].bpp;
+                searched_resolution->mode_number = mode_list[i].mode_number;
+                return mode_list[i].mode_number;
             }
         }
@@ -233,16 +233,16 @@
  *         -1 on parsing error or when no suitable mode found
  */
-static uint16_t findModeUsingCmdline(   modeParams *modeList,
-                                        uint8_t listLength)
+static uint16_t find_mode_using_cmdline(Mode_params *mode_list,
+                                        uint8_t list_length)
 {
     const char* opt;
-    modeParams cmdlineMode;
+    Mode_params cmdline_mode;
     char* endptr;
-    cmdlineMode.bpp = 0;
+    cmdline_mode.bpp = 0;
     opt = bsp_cmdline_arg("--video=");
     if (opt)
     {
         opt += sizeof("--video=")-1;
-        cmdlineMode.resX = strtol(opt, &endptr, 10);
+        cmdline_mode.resX = strtol(opt, &endptr, 10);
         if (*endptr != 'x')
         {
@@ -250,5 +250,5 @@
         }
         opt = endptr+1;
-        cmdlineMode.resY = strtol(opt, &endptr, 10);
+        cmdline_mode.resY = strtol(opt, &endptr, 10);
         switch (*endptr)
         {
@@ -256,8 +256,8 @@
                 opt = endptr+1;
                 if (strlen(opt) <= 2)
-                    cmdlineMode.bpp = strtol(opt, &endptr, 10);
+                    cmdline_mode.bpp = strtol(opt, &endptr, 10);
                 else
                 {
-                    cmdlineMode.bpp = strtol(opt, &endptr, 10);
+                    cmdline_mode.bpp = strtol(opt, &endptr, 10);
                     if (*endptr != ' ')
                     {
@@ -272,7 +272,7 @@
         }
 
-        if (findModeByResolution(modeList, listLength, &cmdlineMode) !=
+        if (find_mode_by_resolution(mode_list, list_length, &cmdline_mode) !=
             (uint16_t)-1)
-            return cmdlineMode.modeNumber;
+            return cmdline_mode.mode_number;
     }
     return -1;
@@ -285,15 +285,15 @@
  *         -1 on parsing error or when no suitable mode found
  */
-static uint16_t findModeUsingEDID(  modeParams *modeList,
-                                    uint8_t listLength)
-{
-    struct edid1 edid;
+static uint16_t find_mode_using_EDID( Mode_params *mode_list,
+                                      uint8_t list_length)
+{
+    EDID_edid1 edid;
     uint8_t checksum, iterator;
     uint8_t index, j;
-    modeParams EDIDmode;
+    Mode_params EDIDmode;
     checksum = 0;
     iterator = 0;
     EDIDmode.bpp = 0;
-    if (VBEReadEDID(0, 0, &edid) !=
+    if (VBE_read_EDID(0, 0, &edid) !=
         (VBE_callSuccessful<<8 | VBE_functionSupported))
     {
@@ -304,5 +304,5 @@
     if (edid.Version == 1)
     { /* EDID version 1 */
-        while (iterator < sizeof(struct edid1))
+        while (iterator < sizeof(EDID_edid1))
         {
             checksum += *((uint8_t *)&edid+iterator);
@@ -326,9 +326,9 @@
                 continue;
             }
-            EDIDmode.resX = DTD_HorizontalActive(&edid.dtd_md[0].dtd);
-            EDIDmode.resY = DTD_VerticalActive(&edid.dtd_md[0].dtd);
-            if (findModeByResolution(modeList, listLength, &EDIDmode) !=
+            EDIDmode.resX = DTD_horizontal_active(&edid.dtd_md[0].dtd);
+            EDIDmode.resY = DTD_vertical_active(&edid.dtd_md[0].dtd);
+            if (find_mode_by_resolution(mode_list, list_length, &EDIDmode) !=
                 (uint16_t)-1)
-                return EDIDmode.modeNumber;
+                return EDIDmode.mode_number;
 
             index++;
@@ -351,11 +351,13 @@
                 edid.dtd_md[index].md.Flag2 == 0)
             {
-                struct CVTTimingCodes3B *cvt = (struct CVTTimingCodes3B *)
+                EDID_CVT_timing_codes_3B *cvt = (EDID_CVT_timing_codes_3B *)
                     &edid.dtd_md[index].md.DescriptorData[0];
                 j = 0;
                 while (j < 4)
                 {
-                    EDIDmode.resY = edid1_CVT_AddressableLinesHigh(&cvt->cvt[j]);
-                    switch (edid1_CVT_AspectRatio(&cvt->cvt[j]))
+                    EDIDmode.resY = edid1_CVT_addressable_lines_high(
+                        &cvt->cvt[j]
+                    );
+                    switch (edid1_CVT_aspect_ratio(&cvt->cvt[j]))
                     {
                         case EDID_CVT_AspectRatio_4_3:
@@ -373,7 +375,7 @@
                     }
                     EDIDmode.resX = (EDIDmode.resX/8)*8;
-                    if (findModeByResolution(modeList, listLength, &EDIDmode) !=
-                        (uint16_t)-1)
-                        return EDIDmode.modeNumber;
+                    if (find_mode_by_resolution(
+                            mode_list, list_length, &EDIDmode) != (uint16_t)-1)
+                        return EDIDmode.mode_number;
 
                     j++;
@@ -397,5 +399,6 @@
             }
             EDIDmode.resX = (edid.STI[index].HorizontalActivePixels+31)*8;
-            switch (edid.STI[index].ImageAspectRatio_RefreshRate & EDID1_STI_ImageAspectRatioMask)
+            switch (edid.STI[index].ImageAspectRatio_RefreshRate &
+                    EDID1_STI_ImageAspectRatioMask)
             {
                 case EDID_STI_AspectRatio_16_10:
@@ -412,7 +415,7 @@
                     break;
             }
-            if (findModeByResolution(modeList, listLength, &EDIDmode) !=
+            if (find_mode_by_resolution(mode_list, list_length, &EDIDmode) !=
                 (uint16_t)-1)
-                return EDIDmode.modeNumber;
+                return EDIDmode.mode_number;
 
             index++;
@@ -422,76 +425,76 @@
         /* not implemented */
         /* use Established Timings */
-        if (edid1_EstablishedTim(&edid, EST_1280x1024_75Hz))
+        if (edid1_established_tim(&edid, EST_1280x1024_75Hz))
         {
             EDIDmode.resX = 1280;
             EDIDmode.resY = 1024;
             EDIDmode.bpp = 0;
-            if (findModeByResolution(modeList, listLength, &EDIDmode) !=
+            if (find_mode_by_resolution(mode_list, list_length, &EDIDmode) !=
                 (uint16_t)-1)
-                return EDIDmode.modeNumber;
-        }
-        if (edid1_EstablishedTim(&edid, EST_1152x870_75Hz))
+                return EDIDmode.mode_number;
+        }
+        if (edid1_established_tim(&edid, EST_1152x870_75Hz))
         {
             EDIDmode.resX = 1152;
             EDIDmode.resY = 870;
             EDIDmode.bpp = 0;
-            if (findModeByResolution(modeList, listLength, &EDIDmode) !=
+            if (find_mode_by_resolution(mode_list, list_length, &EDIDmode) !=
                 (uint16_t)-1)
-                return EDIDmode.modeNumber;
-        }
-        if (edid1_EstablishedTim(&edid, EST_1024x768_75Hz) ||
-            edid1_EstablishedTim(&edid, EST_1024x768_70Hz) ||
-            edid1_EstablishedTim(&edid, EST_1024x768_60Hz) ||
-            edid1_EstablishedTim(&edid, EST_1024x768_87Hz))
+                return EDIDmode.mode_number;
+        }
+        if (edid1_established_tim(&edid, EST_1024x768_75Hz) ||
+            edid1_established_tim(&edid, EST_1024x768_70Hz) ||
+            edid1_established_tim(&edid, EST_1024x768_60Hz) ||
+            edid1_established_tim(&edid, EST_1024x768_87Hz))
         {
             EDIDmode.resX = 1024;
             EDIDmode.resY = 768;
             EDIDmode.bpp = 0;
-            if (findModeByResolution(modeList, listLength, &EDIDmode) !=
+            if (find_mode_by_resolution(mode_list, list_length, &EDIDmode) !=
                 (uint16_t)-1)
-                return EDIDmode.modeNumber;
-        }
-        if (edid1_EstablishedTim(&edid, EST_832x624_75Hz))
+                return EDIDmode.mode_number;
+        }
+        if (edid1_established_tim(&edid, EST_832x624_75Hz))
         {
             EDIDmode.resX = 832;
             EDIDmode.resY = 624;
             EDIDmode.bpp = 0;
-            if (findModeByResolution(modeList, listLength, &EDIDmode) !=
+            if (find_mode_by_resolution(mode_list, list_length, &EDIDmode) !=
                 (uint16_t)-1)
-                return EDIDmode.modeNumber;
-        }
-        if (edid1_EstablishedTim(&edid, EST_800x600_60Hz) ||
-            edid1_EstablishedTim(&edid, EST_800x600_56Hz) ||
-            edid1_EstablishedTim(&edid, EST_800x600_75Hz) ||
-            edid1_EstablishedTim(&edid, EST_800x600_72Hz))
+                return EDIDmode.mode_number;
+        }
+        if (edid1_established_tim(&edid, EST_800x600_60Hz) ||
+            edid1_established_tim(&edid, EST_800x600_56Hz) ||
+            edid1_established_tim(&edid, EST_800x600_75Hz) ||
+            edid1_established_tim(&edid, EST_800x600_72Hz))
         {
             EDIDmode.resX = 800;
             EDIDmode.resY = 600;
             EDIDmode.bpp = 0;
-            if (findModeByResolution(modeList, listLength, &EDIDmode) !=
+            if (find_mode_by_resolution(mode_list, list_length, &EDIDmode) !=
                 (uint16_t)-1)
-                return EDIDmode.modeNumber;
-        }
-        if (edid1_EstablishedTim(&edid, EST_720x400_88Hz) ||
-            edid1_EstablishedTim(&edid, EST_720x400_70Hz))
+                return EDIDmode.mode_number;
+        }
+        if (edid1_established_tim(&edid, EST_720x400_88Hz) ||
+            edid1_established_tim(&edid, EST_720x400_70Hz))
         {
             EDIDmode.resX = 720;
             EDIDmode.resY = 400;
             EDIDmode.bpp = 0;
-            if (findModeByResolution(modeList, listLength, &EDIDmode) !=
+            if (find_mode_by_resolution(mode_list, list_length, &EDIDmode) !=
                 (uint16_t)-1)
-                return EDIDmode.modeNumber;
-        }
-        if (edid1_EstablishedTim(&edid, EST_640x480_75Hz) ||
-            edid1_EstablishedTim(&edid, EST_640x480_72Hz) ||
-            edid1_EstablishedTim(&edid, EST_640x480_67Hz) ||
-            edid1_EstablishedTim(&edid, EST_640x480_60Hz))
+                return EDIDmode.mode_number;
+        }
+        if (edid1_established_tim(&edid, EST_640x480_75Hz) ||
+            edid1_established_tim(&edid, EST_640x480_72Hz) ||
+            edid1_established_tim(&edid, EST_640x480_67Hz) ||
+            edid1_established_tim(&edid, EST_640x480_60Hz))
         {
             EDIDmode.resX = 640;
             EDIDmode.resY = 480;
             EDIDmode.bpp = 0;
-            if (findModeByResolution(modeList, listLength, &EDIDmode) !=
+            if (find_mode_by_resolution(mode_list, list_length, &EDIDmode) !=
                 (uint16_t)-1)
-                return EDIDmode.modeNumber;
+                return EDIDmode.mode_number;
         }
     }
@@ -505,7 +508,7 @@
     uint32_t vbe_ret_val;
     uint16_t size;
-    struct VBE_VbeInfoBlock *vib = (struct VBE_VbeInfoBlock *)
+    VBE_vbe_info_block *vib = (VBE_vbe_info_block *)
         i386_get_default_rm_buffer(&size);
-    vbe_ret_val = VBEControllerInformation(vib, 0x300);
+    vbe_ret_val = VBE_controller_information(vib, 0x300);
     if (vbe_ret_val == -1)
     {
@@ -526,5 +529,5 @@
     VESA function. */
 #define MAX_NO_OF_SORTED_MODES 100
-    modeParams sortModeParams[MAX_NO_OF_SORTED_MODES];
+    Mode_params sorted_mode_params[MAX_NO_OF_SORTED_MODES];
 
     uint16_t *vmpSegOff = (uint16_t *)&vib->VideoModePtr;
@@ -544,5 +547,5 @@
             if (iterator < MAX_NO_OF_SORTED_MODES)
             {
-                sortModeParams[iterator].modeNumber = *(modeNOPtr+iterator);
+                sorted_mode_params[iterator].mode_number =*(modeNOPtr+iterator);
                 iterator ++;
             }
@@ -551,8 +554,8 @@
         }
         if (iterator < MAX_NO_OF_SORTED_MODES)
-            sortModeParams[iterator].modeNumber = 0;
-    }
-
-    struct VBE_ModeInfoBlock *mib = (struct VBE_ModeInfoBlock *)
+            sorted_mode_params[iterator].mode_number = 0;
+    }
+
+    VBE_mode_info_block *mib = (VBE_mode_info_block *)
         i386_get_default_rm_buffer(&size);
     iterator = 0;
@@ -563,43 +566,47 @@
         required parameters */
     while (iterator < MAX_NO_OF_SORTED_MODES &&
-        sortModeParams[iterator].modeNumber!=0)
-    {
-        VBEModeInformation(mib, sortModeParams[iterator].modeNumber);
+        sorted_mode_params[iterator].mode_number!=0)
+    {
+        VBE_mode_information(mib, sorted_mode_params[iterator].mode_number);
         if ((mib->ModeAttributes&required_mode_attributes) ==
             required_mode_attributes)
         {
-            sortModeParams[nextFilteredMode].modeNumber =
-                sortModeParams[iterator].modeNumber;
-            sortModeParams[nextFilteredMode].resX = mib->XResolution;
-            sortModeParams[nextFilteredMode].resY = mib->YResolution;
-            sortModeParams[nextFilteredMode].bpp  = mib->BitsPerPixel;
+            sorted_mode_params[nextFilteredMode].mode_number =
+                sorted_mode_params[iterator].mode_number;
+            sorted_mode_params[nextFilteredMode].resX = mib->XResolution;
+            sorted_mode_params[nextFilteredMode].resY = mib->YResolution;
+            sorted_mode_params[nextFilteredMode].bpp  = mib->BitsPerPixel;
             nextFilteredMode ++;
         }
         iterator ++;
     }
-    sortModeParams[nextFilteredMode].modeNumber = 0;
-
-    uint8_t numberOfModes = nextFilteredMode;
+    sorted_mode_params[nextFilteredMode].mode_number = 0;
+
+    uint8_t number_of_modes = nextFilteredMode;
     /* sort filtered modes */
-    modeParams modeXchgPlace;
+    Mode_params modeXchgPlace;
     iterator = 0;
     uint8_t j;
     uint8_t idxBestMode;
-    while (iterator < numberOfModes)
+    while (iterator < number_of_modes)
     {
         idxBestMode = iterator;
         j = iterator+1;
-        while (j < numberOfModes)
-        {
-            if (sortModeParams[j].resX > sortModeParams[idxBestMode].resX)
+        while (j < number_of_modes)
+        {
+            if (sorted_mode_params[j].resX >
+                    sorted_mode_params[idxBestMode].resX)
                 idxBestMode = j;
-            else if (sortModeParams[j].resX == sortModeParams[idxBestMode].resX)
+            else if (sorted_mode_params[j].resX ==
+                     sorted_mode_params[idxBestMode].resX)
             {
-                if (sortModeParams[j].resY > sortModeParams[idxBestMode].resY)
+                if (sorted_mode_params[j].resY >
+                        sorted_mode_params[idxBestMode].resY)
                     idxBestMode = j;
-                else if (sortModeParams[j].resY ==
-                    sortModeParams[idxBestMode].resY)
+                else if (sorted_mode_params[j].resY ==
+                    sorted_mode_params[idxBestMode].resY)
                 {
-                    if (sortModeParams[j].bpp > sortModeParams[idxBestMode].bpp)
+                    if (sorted_mode_params[j].bpp >
+                            sorted_mode_params[idxBestMode].bpp)
                         idxBestMode = j;
                 }
@@ -609,7 +616,7 @@
         if (idxBestMode != iterator)
         {
-            modeXchgPlace = sortModeParams[iterator];
-            sortModeParams[iterator] = sortModeParams[idxBestMode];
-            sortModeParams[idxBestMode] = modeXchgPlace;
+            modeXchgPlace = sorted_mode_params[iterator];
+            sorted_mode_params[iterator] = sorted_mode_params[idxBestMode];
+            sorted_mode_params[idxBestMode] = modeXchgPlace;
         }
         iterator++;
@@ -617,22 +624,24 @@
 
     /* first search for video argument in multiboot options */
-    vbe_usedMode = findModeUsingCmdline(sortModeParams, numberOfModes);
-    if (vbe_usedMode == (uint16_t)-1)
+    vbe_used_mode = find_mode_using_cmdline(sorted_mode_params,
+                                            number_of_modes);
+    if (vbe_used_mode == (uint16_t)-1)
     {
         printk(FB_VESA_NAME " video on command line not provided"
             "\n\ttrying EDID ...\n");
         /* second search monitor for good resolution */
-        vbe_usedMode = findModeUsingEDID(sortModeParams, numberOfModes);
-        if (vbe_usedMode == (uint16_t)-1)
+        vbe_used_mode = find_mode_using_EDID(sorted_mode_params,
+                                             number_of_modes);
+        if (vbe_used_mode == (uint16_t)-1)
         {
             printk(FB_VESA_NAME" monitor's EDID video parameters not supported"
                                "\n\tusing mode with highest resolution, bpp\n");
             /* third set highest values */
-            vbe_usedMode = sortModeParams[0].modeNumber;
+            vbe_used_mode = sorted_mode_params[0].mode_number;
         }
     }
 
     /* fill framebuffer structs with info about selected mode */
-    vbe_ret_val = VBEModeInformation(mib, vbe_usedMode);
+    vbe_ret_val = VBE_mode_information(mib, vbe_used_mode);
     if ((vbe_ret_val&0xff)!=VBE_functionSupported ||
         (vbe_ret_val>>8)!=VBE_callSuccessful)
@@ -668,6 +677,6 @@
 
     /* set selected mode */
-    vbe_ret_val = VBESetMode(vbe_usedMode | VBE_linearFlatFrameBufMask,
-        (struct VBE_CRTCInfoBlock *)(i386_get_default_rm_buffer(&size)));
+    vbe_ret_val = VBE_set_mode(vbe_used_mode | VBE_linearFlatFrameBufMask,
+        (VBE_CRTC_info_block *)(i386_get_default_rm_buffer(&size)));
     if (vbe_ret_val>>8 == VBE_callFailed)
         printk(FB_VESA_NAME " VBE: Requested mode is not available.");
@@ -800,5 +809,4 @@
 static int get_fix_screen_info( struct fb_fix_screeninfo *info )
 {
-    printk("get_fix_screen_info\n");
   *info = fb_fix;
   return 0;
@@ -807,5 +815,4 @@
 static int get_var_screen_info( struct fb_var_screeninfo *info )
 {
-    printk("get_var_screen_info\n");
   *info =  fb_var;
   return 0;
Index: c/src/lib/libbsp/i386/pc386/include/edid.h
===================================================================
--- c/src/lib/libbsp/i386/pc386/include/edid.h	(revision adc1dbeb39a37c95d93b728fcb038da96957dab8)
+++ c/src/lib/libbsp/i386/pc386/include/edid.h	(revision d78eac64a8ac5d5eabbde4a9f1647850113dfc6c)
@@ -35,5 +35,4 @@
 
 #include <rtems/score/basedefs.h>
-#define EDID_PACKED_ATTRIBUTE   RTEMS_COMPILER_PACKED_ATTRIBUTE
 #define EDID_INLINE_ROUTINE     RTEMS_INLINE_ROUTINE
 
@@ -71,5 +70,5 @@
 #define EDID1_DTD_HorizontalSyncIsPositiveMask  0x1
 
-struct DetailedTimingDescriptor {
+typedef struct {
     uint8_t PixelClock_div10000[2];
     uint8_t HorizontalActiveLow;
@@ -89,8 +88,8 @@
     uint8_t VerticalBorder;
     uint8_t Flags;
-} EDID_PACKED_ATTRIBUTE;
-
-EDID_INLINE_ROUTINE uint16_t DTD_HorizontalActive (
-    struct DetailedTimingDescriptor *dtd)
+} RTEMS_COMPILER_PACKED_ATTRIBUTE EDID_detailed_timing_descriptor;
+
+EDID_INLINE_ROUTINE uint16_t DTD_horizontal_active (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return (dtd->HorizontalActiveLow |
@@ -98,6 +97,6 @@
 }
 
-EDID_INLINE_ROUTINE uint16_t DTD_HorizontalBlanking (
-    struct DetailedTimingDescriptor *dtd)
+EDID_INLINE_ROUTINE uint16_t DTD_horizontal_blanking (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return (dtd->HorizontalBlankingLow |
@@ -105,6 +104,6 @@
 }
 
-EDID_INLINE_ROUTINE uint16_t DTD_VerticalActive (
-    struct DetailedTimingDescriptor *dtd)
+EDID_INLINE_ROUTINE uint16_t DTD_vertical_active (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return (dtd->VerticalActiveLow |
@@ -112,6 +111,6 @@
 }
 
-EDID_INLINE_ROUTINE uint16_t DTD_VerticalBlanking (
-    struct DetailedTimingDescriptor *dtd)
+EDID_INLINE_ROUTINE uint16_t DTD_vertical_blanking (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return (dtd->VerticalBlankingLow |
@@ -119,6 +118,6 @@
 }
 
-EDID_INLINE_ROUTINE uint16_t DTD_VerticalSyncPulseWidth (
-    struct DetailedTimingDescriptor *dtd)
+EDID_INLINE_ROUTINE uint16_t DTD_vertical_sync_pulse_width (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return ((dtd->VerticalSyncPulseWidth_OffsetLow & 0xF) |
@@ -126,6 +125,6 @@
 }
 
-EDID_INLINE_ROUTINE uint16_t DTD_VerticalSyncOffset (
-    struct DetailedTimingDescriptor *dtd)
+EDID_INLINE_ROUTINE uint16_t DTD_vertical_sync_offset (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return ((dtd->VerticalSyncPulseWidth_OffsetLow >> 4) |
@@ -133,6 +132,6 @@
 }
 
-EDID_INLINE_ROUTINE uint16_t DTD_HorizontalSyncPulseWidth (
-    struct DetailedTimingDescriptor *dtd)
+EDID_INLINE_ROUTINE uint16_t DTD_horizontal_sync_pulse_width (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return (dtd->HorizontalSyncPulseWidthLow |
@@ -140,6 +139,6 @@
 }
 
-EDID_INLINE_ROUTINE uint16_t DTD_HorizontalSyncOffset (
-    struct DetailedTimingDescriptor *dtd)
+EDID_INLINE_ROUTINE uint16_t DTD_horizontal_sync_offset (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return (dtd->HorizontalSyncOffsetLow |
@@ -147,6 +146,6 @@
 }
 
-EDID_INLINE_ROUTINE uint16_t DTD_VerticalImageSize (
-    struct DetailedTimingDescriptor *dtd)
+EDID_INLINE_ROUTINE uint16_t DTD_vertical_image_size (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return (dtd->VerticalImageSizeLow |
@@ -154,6 +153,6 @@
 }
 
-EDID_INLINE_ROUTINE uint16_t DTD_HorizontalImageSize (
-    struct DetailedTimingDescriptor *dtd)
+EDID_INLINE_ROUTINE uint16_t DTD_horizontal_image_size (
+    EDID_detailed_timing_descriptor *dtd)
 {
     return (dtd->HorizontalImageSizeLow |
@@ -161,5 +160,5 @@
 }
 
-struct ColorPointData {
+typedef struct {
     uint8_t ColorPointWhitePointIndexNumber;
     uint8_t ColorPointWhiteLowBits;
@@ -167,5 +166,5 @@
     uint8_t ColorPointWhite_y;
     uint8_t ColorPointWhiteGamma;
-} EDID_PACKED_ATTRIBUTE;
+} RTEMS_COMPILER_PACKED_ATTRIBUTE EDID_color_point_data;
 
 /* Basic Display Parameters */
@@ -176,5 +175,5 @@
 
 #define EDID_DTT_MonitorRangeLimits         0xFD
-struct MonitorRangeLimits {
+typedef struct {
     uint8_t MinVerticalRateInHz;
     uint8_t MaxVerticalRateInHz;
@@ -185,5 +184,5 @@
         Version 1.0, December 18, 1996 */
     uint8_t GTFStandard[8];
-} EDID_PACKED_ATTRIBUTE;
+} RTEMS_COMPILER_PACKED_ATTRIBUTE EDID_monitor_range_limits;
 
 #define EDID_DTT_MonitorName                0xFC
@@ -223,16 +222,16 @@
 #define EDID_CVT_PrefVertRate75Hz           2
 #define EDID_CVT_PrefVertRate85Hz           3
-struct CVT3ByteCodeDescriptor {
+typedef struct {
     uint8_t AddressableLinesLow;
     uint8_t AspectRatio_AddressableLinesHigh;
     uint8_t VerticalRate_PreferredVerticalRate;
-} EDID_PACKED_ATTRIBUTE;
-struct CVTTimingCodes3B {
+} RTEMS_COMPILER_PACKED_ATTRIBUTE EDID_CVT_3_byte_code_descriptor;
+typedef struct {
     uint8_t VersionNumber;
-    struct CVT3ByteCodeDescriptor cvt[4];
-} EDID_PACKED_ATTRIBUTE;
-
-EDID_INLINE_ROUTINE uint16_t edid1_CVT_AddressableLinesHigh (
-    struct CVT3ByteCodeDescriptor *cvt)
+    EDID_CVT_3_byte_code_descriptor cvt[4];
+} RTEMS_COMPILER_PACKED_ATTRIBUTE EDID_CVT_timing_codes_3B;
+
+EDID_INLINE_ROUTINE uint16_t edid1_CVT_addressable_lines_high (
+    EDID_CVT_3_byte_code_descriptor *cvt)
 {
     return (cvt->AddressableLinesLow |
@@ -242,6 +241,6 @@
 }
 
-EDID_INLINE_ROUTINE uint8_t edid1_CVT_AspectRatio (
-    struct CVT3ByteCodeDescriptor *cvt)
+EDID_INLINE_ROUTINE uint8_t edid1_CVT_aspect_ratio (
+    EDID_CVT_3_byte_code_descriptor *cvt)
 {
     return (cvt->AspectRatio_AddressableLinesHigh >> EDID1_CVT_AspectRatioOff) &
@@ -250,8 +249,8 @@
 
 #define EDID_DTT_EstablishedTimingsIII      0xF7
-struct EstablishedTimingsIII {
+typedef struct {
     uint8_t RevisionNumber;
     uint8_t EST_III[12];
-} EDID_PACKED_ATTRIBUTE;
+} RTEMS_COMPILER_PACKED_ATTRIBUTE EDID_established_timings_III;
 enum EST_III {
     EST_1152x864_75Hz   = 0,
@@ -309,5 +308,5 @@
 /* DTT 0x0 - 0xF are manufacturer specific */
 
-struct MonitorDescriptor {
+typedef struct {
     uint8_t Flag0[2];
     uint8_t Flag1;
@@ -315,10 +314,10 @@
     uint8_t Flag2;
     uint8_t DescriptorData[13];
-} EDID_PACKED_ATTRIBUTE;
-
-union DTD_MD {
-    struct DetailedTimingDescriptor dtd;
-    struct MonitorDescriptor md;
-} EDID_PACKED_ATTRIBUTE;
+} RTEMS_COMPILER_PACKED_ATTRIBUTE EDID_monitor_descriptor;
+
+union EDID_DTD_MD {
+    EDID_detailed_timing_descriptor dtd;
+    EDID_monitor_descriptor md;
+} RTEMS_COMPILER_PACKED_ATTRIBUTE;
 
 #define EDID1_STI_ImageAspectRatioOff           0
@@ -332,8 +331,8 @@
 #define EDID_STI_AspectRatio_5_4            2
 #define EDID_STI_AspectRatio_16_9           3
-struct StandardTimingIdentification {
+typedef struct {
     uint8_t HorizontalActivePixels;
     uint8_t ImageAspectRatio_RefreshRate;
-} EDID_PACKED_ATTRIBUTE;
+} RTEMS_COMPILER_PACKED_ATTRIBUTE EDID_standard_timing_identification;
 
 /* Video Input Definition */
@@ -410,5 +409,5 @@
 #define EDID_DisplayType_RGB444YCrCb444YCrCb422     3
 
-struct edid1 {
+typedef struct {
     uint8_t Header[8];
 /*  Vendor Product Identification */
@@ -443,37 +442,37 @@
     uint8_t EST_I_II_Man[3];
 /*  Standard Timing Identification */
-    struct StandardTimingIdentification STI[8];
+    EDID_standard_timing_identification STI[8];
 /*  Detailed Timing Descriptions / Monitor Descriptions */
-    union DTD_MD dtd_md[4];
+    union EDID_DTD_MD dtd_md[4];
     uint8_t ExtensionFlag;
     uint8_t Checksum;
-} EDID_PACKED_ATTRIBUTE;
-
-EDID_INLINE_ROUTINE uint16_t edid1_RedX (struct edid1 *edid) {
+} RTEMS_COMPILER_PACKED_ATTRIBUTE EDID_edid1;
+
+EDID_INLINE_ROUTINE uint16_t edid1_RedX (EDID_edid1 *edid) {
     return (edid->RedXHigh<<2) | (edid->GreenRedLow>>6);
 }
-EDID_INLINE_ROUTINE uint16_t edid1_RedY (struct edid1 *edid) {
+EDID_INLINE_ROUTINE uint16_t edid1_RedY (EDID_edid1 *edid) {
     return (edid->RedYHigh<<2) | (edid->GreenRedLow>>4)&&0x3;
 }
-EDID_INLINE_ROUTINE uint16_t edid1_GreenX (struct edid1 *edid) {
+EDID_INLINE_ROUTINE uint16_t edid1_GreenX (EDID_edid1 *edid) {
     return (edid->GreenXHigh<<2) | (edid->GreenRedLow>>2)&&0x3;
 }
-EDID_INLINE_ROUTINE uint16_t edid1_GreenY (struct edid1 *edid) {
+EDID_INLINE_ROUTINE uint16_t edid1_GreenY (EDID_edid1 *edid) {
     return (edid->GreenYHigh<<2) | (edid->GreenRedLow&0x3);
 }
-EDID_INLINE_ROUTINE uint16_t edid1_BlueX (struct edid1 *edid) {
+EDID_INLINE_ROUTINE uint16_t edid1_BlueX (EDID_edid1 *edid) {
     return (edid->BlueXHigh<<2)  | (edid->WhiteBlueLow>>6);
 }
-EDID_INLINE_ROUTINE uint16_t edid1_BlueY (struct edid1 *edid) {
+EDID_INLINE_ROUTINE uint16_t edid1_BlueY (EDID_edid1 *edid) {
     return (edid->BlueYHigh<<2)  | (edid->WhiteBlueLow>>4)&&0x3;
 }
-EDID_INLINE_ROUTINE uint16_t edid1_WhiteX (struct edid1 *edid) {
+EDID_INLINE_ROUTINE uint16_t edid1_WhiteX (EDID_edid1 *edid) {
     return (edid->WhiteXHigh<<2) | (edid->WhiteBlueLow>>2)&&0x3;
 }
-EDID_INLINE_ROUTINE uint16_t edid1_WhiteY (struct edid1 *edid) {
+EDID_INLINE_ROUTINE uint16_t edid1_WhiteY (EDID_edid1 *edid) {
     return (edid->WhiteYHigh<<2) | (edid->WhiteBlueLow&0x3);
 }
 
-enum edid1_EstablishedTimings {
+enum edid1_established_timings {
 /*  Established Timings I */
     EST_800x600_60Hz    = 0,
@@ -498,7 +497,7 @@
 };
 
-EDID_INLINE_ROUTINE uint8_t edid1_EstablishedTim (
-    struct edid1 *edid,
-    enum edid1_EstablishedTimings est)
+EDID_INLINE_ROUTINE uint8_t edid1_established_tim (
+    EDID_edid1 *edid,
+    enum edid1_established_timings est)
 {
     return (uint8_t)(edid->EST_I_II_Man[est/8] & (est%8));
Index: c/src/lib/libbsp/i386/pc386/include/fb_vesa.h
===================================================================
--- c/src/lib/libbsp/i386/pc386/include/fb_vesa.h	(revision adc1dbeb39a37c95d93b728fcb038da96957dab8)
+++ c/src/lib/libbsp/i386/pc386/include/fb_vesa.h	(revision d78eac64a8ac5d5eabbde4a9f1647850113dfc6c)
@@ -46,7 +46,7 @@
  *          -1 error calling graphical bios
  */
-uint32_t VBEControllerInformation (
-    struct VBE_VbeInfoBlock *infoBlock,
-    uint16_t queriedVBEVersion
+uint32_t VBE_controller_information (
+    VBE_vbe_info_block *info_block,
+    uint16_t queried_VBE_Version
 );
 
@@ -60,7 +60,7 @@
  *          -1 error calling graphical bios
  */
-uint32_t VBEModeInformation (
-    struct VBE_ModeInfoBlock *infoBlock,
-    uint16_t modeNumber
+uint32_t VBE_mode_information (
+    VBE_mode_info_block *info_block,
+    uint16_t mode_number
 );
 
@@ -74,7 +74,7 @@
  *          -1 error calling graphical bios
  */
-uint32_t VBESetMode (
-    uint16_t modeNumber,
-    struct VBE_CRTCInfoBlock *infoBlock
+uint32_t VBE_set_mode (
+    uint16_t mode_number,
+    VBE_CRTC_info_block *info_block
 );
 
@@ -86,6 +86,6 @@
  *          -1 error calling graphical bios
  */
-uint32_t VBECurrentMode (
-    uint16_t *modeNumber
+uint32_t VBE_current_mode (
+    uint16_t *mode_number
 );
 
@@ -102,8 +102,8 @@
  *          -1 error calling graphical bios
  */
-uint32_t VBEReportDDCCapabilities (
-    uint16_t controllerUnitNumber,
-    uint8_t *secondsToTransferEDIDBlock,
-    uint8_t *DDCLevelSupported
+uint32_t VBE_report_DDC_capabilities (
+    uint16_t controller_unit_number,
+    uint8_t *seconds_to_transfer_EDID_block,
+    uint8_t *DDC_level_supported
 );
 
@@ -117,8 +117,8 @@
  *          -1 error calling graphical bios
  */
-uint32_t VBEReadEDID (
-    uint16_t controllerUnitNumber,
-    uint16_t EDIDBlockNumber,
-    struct edid1 *buffer
+uint32_t VBE_read_EDID (
+    uint16_t controller_unit_number,
+    uint16_t EDID_block_number,
+    EDID_edid1 *buffer
 );
 
Index: c/src/lib/libbsp/i386/pc386/include/tblsizes.h
===================================================================
--- c/src/lib/libbsp/i386/pc386/include/tblsizes.h	(revision adc1dbeb39a37c95d93b728fcb038da96957dab8)
+++ c/src/lib/libbsp/i386/pc386/include/tblsizes.h	(revision d78eac64a8ac5d5eabbde4a9f1647850113dfc6c)
@@ -23,3 +23,2 @@
 #define IDT_SIZE (256)
 #define GDT_SIZE (3 + NUM_APP_DRV_GDT_DESCRIPTORS)
-
Index: c/src/lib/libbsp/i386/pc386/include/vbe3.h
===================================================================
--- c/src/lib/libbsp/i386/pc386/include/vbe3.h	(revision adc1dbeb39a37c95d93b728fcb038da96957dab8)
+++ c/src/lib/libbsp/i386/pc386/include/vbe3.h	(revision d78eac64a8ac5d5eabbde4a9f1647850113dfc6c)
@@ -34,5 +34,4 @@
 
 #include <rtems/score/basedefs.h>
-#define VBE3_PACKED_ATTRIBUTE   RTEMS_COMPILER_PACKED_ATTRIBUTE
 
 /*  VESA BIOS EXTENSION (VBE) Core functions Standard
@@ -157,10 +156,10 @@
                                         Specification Information */
 /* *** Structures *** */
-struct VBE_FarPtr {
+typedef struct {
     uint16_t offset;
     uint16_t selector;
-} VBE3_PACKED_ATTRIBUTE;
-
-struct VBE_PMInfoBlock {
+} RTEMS_COMPILER_PACKED_ATTRIBUTE VBE_far_pointer;
+
+typedef struct {
     uint8_t   Signature[4];    /*  PM Info Block Signature */
     uint16_t  EntryPoint;      /*  Offset of PM entry point within BIOS */
@@ -173,5 +172,5 @@
     uint8_t   InProtectMode;   /*  Set to 1 when in protected mode */
     uint8_t   Checksum;        /*  Checksum byte for structure */
-} VBE3_PACKED_ATTRIBUTE;
+} RTEMS_COMPILER_PACKED_ATTRIBUTE VBE_protected_mode_info_block;
 
 /* General VBE signature */
@@ -182,5 +181,5 @@
 #define VBE_END_OF_VideoModeList 0xFFFF
 #define VBE_STUB_VideoModeList 0xFFFF
-struct VBE_VbeInfoBlock {
+typedef struct {
     uint8_t   VbeSignature[4];   /*  VBE Signature */
     uint16_t  VbeVersion;        /*  VBE Version */
@@ -197,7 +196,7 @@
     /*    area */
     uint8_t   OemData[256];      /*  Data Area for OEM Strings */
-} VBE3_PACKED_ATTRIBUTE;
-
-struct VBE_ModeInfoBlock {
+} RTEMS_COMPILER_PACKED_ATTRIBUTE VBE_vbe_info_block;
+
+typedef struct {
     /*  Mandatory information for all VBE revisions */
     uint16_t  ModeAttributes;        /* mode attributes */
@@ -253,7 +252,7 @@
                                         (in Hz) for graphics mode */
     uint8_t   Reserved3[189];        /* remainder of ModeInfoBlock */
-} VBE3_PACKED_ATTRIBUTE;
-
-struct VBE_CRTCInfoBlock {
+} RTEMS_COMPILER_PACKED_ATTRIBUTE VBE_mode_info_block;
+
+typedef struct {
     uint16_t  HorizontalTotal;       /* Horizontal total in pixels */
     uint16_t  HorizontalSyncStart;   /* Horizontal sync start in pixels */
@@ -266,14 +265,14 @@
     uint16_t  RefreshRate;           /* Refresh rate in units of 0.01 Hz */
     uint8_t   Reserved[40];          /* remainder of ModeInfoBlock */
-} VBE3_PACKED_ATTRIBUTE;
-
-struct VBE_PaletteEntry {
+} RTEMS_COMPILER_PACKED_ATTRIBUTE VBE_CRTC_info_block;
+
+typedef struct {
     uint8_t   Blue;                  /* Blue channel value (6 or 8 bits) */
     uint8_t   Green;                 /* Green channel value (6 or 8 bits) */
     uint8_t   Red;                   /* Red channel value(6 or 8 bits) */
     uint8_t   Alignment;             /* DWORD alignment byte (unused) */
-} VBE3_PACKED_ATTRIBUTE;
-
-struct VBE_SupVbeInfoBlock {
+} RTEMS_COMPILER_PACKED_ATTRIBUTE VBE_palette_entry;
+
+typedef struct {
     uint8_t   SupVbeSignature[7];    /* Supplemental VBE Signature */
     uint16_t  SupVbeVersion;         /* Supplemental VBE Version */
@@ -287,5 +286,5 @@
                                         strings and future */
     /*  expansion */
-} VBE3_PACKED_ATTRIBUTE;
+} RTEMS_COMPILER_PACKED_ATTRIBUTE VBE_supplemental_vbe_info_block;
 
 /* VbeInfoBlock Capabilities */
@@ -461,3 +460,2 @@
 
 #endif /* _VBE_H */
-
Index: c/src/lib/libbsp/i386/shared/realmode_int/realmode_int.c
===================================================================
--- c/src/lib/libbsp/i386/shared/realmode_int/realmode_int.c	(revision adc1dbeb39a37c95d93b728fcb038da96957dab8)
+++ c/src/lib/libbsp/i386/shared/realmode_int/realmode_int.c	(revision d78eac64a8ac5d5eabbde4a9f1647850113dfc6c)
@@ -182,5 +182,5 @@
 }
 
-int i386_real_interrupt_call(uint8_t interruptNumber,
+int i386_real_interrupt_call(uint8_t interrupt_number,
                              i386_realmode_interrupt_registers *ir)
 {
@@ -271,5 +271,5 @@
     );
     interrupt_number_ptr = (uint8_t *)(rm_swtch_code_dst+interrupt_number_off);
-    *interrupt_number_ptr = interruptNumber;
+    *interrupt_number_ptr = interrupt_number;
     /* execute code that jumps to coppied function, which switches to real mode,
        loads registers with values passed to interrupt and executes interrupt */
@@ -404,3 +404,2 @@
     return 1;
 }
-
Index: c/src/lib/libbsp/i386/shared/realmode_int/realmode_int.h
===================================================================
--- c/src/lib/libbsp/i386/shared/realmode_int/realmode_int.h	(revision adc1dbeb39a37c95d93b728fcb038da96957dab8)
+++ c/src/lib/libbsp/i386/shared/realmode_int/realmode_int.h	(revision d78eac64a8ac5d5eabbde4a9f1647850113dfc6c)
@@ -75,5 +75,8 @@
  *          1 call successful
  */
-extern int i386_real_interrupt_call(uint8_t interruptNumber, i386_realmode_interrupt_registers *ir);
+extern int i386_real_interrupt_call(
+    uint8_t interrupt_number,
+    i386_realmode_interrupt_registers *ir
+);
 
 #ifdef __cplusplus
